@import url("https://fonts.googleapis.com/css2?family=Fredoka+One&family=Kanit:wght@500&family=Montserrat:wght@500&family=Open+Sans:wght@500&family=Roboto:wght@500&display=swap");

:root {
  --color-primary: hsl(36, 94%, 61%);
  --color-secondary:hsl(22,5%,28%);
  --font-utama: 'Open Sans', sans-serif;
  --font-secondary: Arial, Helvetica, sans-serif;
  scroll-behavior: smooth;
}

body{
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
    height: 100vh;
}

.container-fluid{
    scroll-snap-align: start;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* section1 */
.section1 {
  height: 100vh;
  background: linear-gradient(
      0deg,
      rgba(8, 9, 10, 1) 0%,
      rgba(255, 255, 255, 0) 100%
    ),
    url(./img/main-bg.jpg) no-repeat center center / cover;
   
}

.navbar {
  background-color: rgba(0, 0, 0, 0.5);
  font-family: var(--font-utama);
  
}

#navbarNav ul li a{
    color: white;
    font-family: var(--font-utama);
}


#navbarNav ul li a:hover{
    color: var(--color-primary);
    transition: .5s;
}


.section1 .navbar-brand{
    color: var(--color-primary);
    font-weight: bolder;
}


.textUtama{
    display: flex;
    flex-direction: column;
   text-align: center;
   padding-top: 14em;
}

.textUtama h1{
    color: var(--color-primary);
}

.textUtama p{
    color: white;
}

.textUtama .button button{
    background-color: var(--color-primary);
    border: none;
    padding: 1em;
    border-radius: 5px;
    font-weight: bold;
    box-shadow: inset 0 0 0 0 white;
    transition: ease-out 0.3s;
}

.textUtama .button button:hover{
    background-color: white;
    color: var(--color-primary);
    box-shadow: inset 300px 0 0 0 white;
    cursor: pointer;
}

.textUtama .button button:focus{
    box-shadow: 0 0 0 3px var(--color-primary)
}

.arrow{
    position: absolute;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.arrow span {
    display: block;
    width: 30px;
    height: 30px;
    border-bottom: 5px solid var(--color-primary);
    border-right: 5px solid var(--color-primary);
    transform: rotate(45deg);
    margin: -10px;
    animation: scroll 2s infinite;
}

.arrow span:nth-child(2){
    animation-delay: -.2s;
}

.arrow span:nth-child(3){
    animation-delay: -.4s;
}

@keyframes scroll {

    0% {
        opacity: 0;
        transform: rotate(45deg) translate(-20px, -20px);
    }
    50%{
        opacity: 1;
    }
    100%{
        opacity: 0;
        transform: rotate(45deg) translate(20px, 20px);
    }



}





/* end */

/* section2 */

.section2 {
  height: 100vh;
  background: linear-gradient(
      180deg,
      rgba(8, 9, 10, 1) 0%,
      rgba(255, 255, 255, 0) 48%,
      rgba(8, 9, 10, 1) 100%
    ),
    url(./img/the-games-bg.jpg) no-repeat center center / cover;
    padding-top: 4em;
    padding-left: 1em;
    color: white;
    padding-right: 1em;
}

.section2 .text2{
    text-align: center;
    margin-bottom: 1em;
}

.section2 img:hover, img:focus{
    -ms-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -o-transform: scale(1.2);
    transform: scale(1.2);
}

/* end */


/* section3 */

.section3{
    background: linear-gradient(
      180deg,
      rgba(8, 9, 10, 1) 0%,
      rgba(255, 255, 255, 0) 48%,
      rgba(8, 9, 10, 1) 100%
    ),
    url(./img/features.jpg) no-repeat center center / cover;
    height: 100vh;
    padding-top: 8em;
    color: white;
}

.timeline {
    border-left: 4px solid white;
   
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    color: var(--color-primary);
    margin: 50px auto;
    letter-spacing: 0.5px;
    position: relative;
    padding: 20px;
    list-style: none;
    text-align: left;
  }
  

  .timeline h3 {
    font-size: 1.2rem;
    font-weight: bolder;
  }

  .timeline p{
      color: white;
  }
  
  .timeline .event {
   
    padding-bottom: 15px;
    margin-bottom: 20px;
    position: relative;
  }
  
  .timeline .event:last-of-type {
    padding-bottom: 0;
    margin-bottom: 0;
    border: none;
  }
  
  .timeline .event:before,
  .timeline .event:after {
    position: absolute;
    display: block;
    top: 0;
  }
  
  .timeline .event:before {
    left: -177.5px;
    color: #212121;
    content: attr(data-date);
    text-align: right;
    /*  font-weight: 100;*/
    
    font-size: 16px;
    min-width: 120px;
  }
  
  .timeline .event:after {
    box-shadow: 0 0 0 4px white;
    left: -30px;
    background: white;
    border-radius: 50%;
    height: 11px;
    width: 11px;
    content: "";
    top: 5px;
  }
  /**/

  .text3{
      text-align: center;
  }
  



/* end */


/* section4 */

.section4{
    background: linear-gradient(
        180deg,
        rgba(8, 9, 10, 1) 0%,
        rgba(255, 255, 255, 0) 48%,
        rgba(8, 9, 10, 1) 100%
      ),
      url(./img/requirements.png) no-repeat center center / cover;
      height: 100vh;
      padding-top: 8em;
      color: white;
      padding-left: 1em;
}

.section4 h3{
    text-align: center;
    margin-bottom: 1em;

}

.section4 table h5{
    color: var(--color-primary);
}

.section4 table tr td{
    padding: .5em;
}




/* end */



/* section5 */

.section5{
    background: linear-gradient(
        180deg,
        rgba(8, 9, 10, 1) 0%,
        rgba(255, 255, 255, 0) 48%,
        rgba(8, 9, 10, 1) 100%
      ),
      url(./img/the-games-bg.jpg) no-repeat center center / cover;
      height: 100vh;
      color: white;
     text-align: center;
}


.section5 .text5{
    text-align: center;
}

.section5 .isi{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

.section5 button{
    padding: 0.5em 1em;
    border: none;
    background-color: var(--color-primary);
    border-radius: 5px;
    font-weight: bolder;
    box-shadow: inset 0 0 0 0 white;
    transition: ease-out 0.3s;
}

.section5 button:hover{
    background-color: white;
    color: var(--color-primary);
    box-shadow: inset 300px 0 0 0 white;
    cursor: pointer;
}

.section5 button:focus{
    box-shadow: 0 0 0 3px var(--color-primary)
}

.section5 .card{
    width: 30rem;
    height: 9rem;
    text-align: start;
    display: flex;
    flex-direction: column;
    background-color: rgba(255, 255, 255, 0.08);
    padding: 1em;
    margin-top: 2em;
}

.section5 .card .atas{
    display: flex;
    flex-direction: row;
}

.section5 .card .atas .img1{
    border-radius: 50%;
    width: 50px;
    height: 50px;
    object-fit: cover;
    margin-right: 1em;
}


.section5 .card .atas .profile{
    text-align: start;
    margin-right: 16em;
}

.section5 .card .atas .profile h5{
    color: var(--color-primary);
    width: 200px;
}

.section5 .card .atas .profile p{
    margin-top: -.5em;
    color: var(--color-secondary);
}

.section5 .card .tanggal p{
    color: var(--color-secondary);
    margin-top: -1em;
}



/* end */


/* section6 */

.section6{
    background: linear-gradient(
        180deg,
        rgba(8, 9, 10, 1) 0%,
        rgba(255, 255, 255, 0) 48%,
        rgba(8, 9, 10, 1) 100%
      ),
      url(./img/requirements.png) no-repeat center center / cover;
      padding-top: 5em;
      
      color: white;
     
}

.section6 h1{
    padding-right: 10em;
}

.section6 p{
    padding-right: 5em;
}

.section6 h5{
    margin-top: 4em;
    color: var(--color-primary);
}

.section6 .button{
    display: flex;
    flex-direction: row;
}


.section6 .button button{
    border: none;
    padding: .5em 2em;
    border-radius: 10px;
    margin-right: 1em;
    text-align: start;
}

.button-1 input{
    background-color: var(--color-secondary);
    width: 20em;
    padding: .5em 2em;
    border-radius: 10px;
    margin-right: 1em;
    border: none;
}

.button-2 button{
    background-color: var(--color-primary);
    font-weight: bolder;
    box-shadow: inset 0 0 0 0 white;
    transition: ease-out 0.3s;
}

.button-2 button:hover{
    box-shadow: inset 300px 0 0 0 white;
    cursor: pointer;
}

.button-2 button:focus{
    box-shadow: 0 0 0 3px var(--color-primary)
}

.section6 .footer{
    margin-top: 18em;
    text-align: center;
}

.section6 .footer .garis{
    margin-top: .5em;
    margin-bottom: .5em;
}

.section6 .footer .sosmed img{
    margin-right: 10px;
}



/* end */



/* small devices */

@media (min-width: 576px) {
    /* section4 */
    .section4 h3{
        text-align: center;
        margin-bottom: 1em;
    
    }

    /* end */
   

    /* section6 */
   
    .section6 .footer{
        
        text-align: center;
    }

    /* end */

   
   }
  
  /* small devices end */
  
  
  /* medium devices */
  
  @media (min-width: 768px) {

    .section4{
        padding-left: 2em;
    }
    .section4 h3{
        text-align: start;
        margin-bottom: 1em;
    
    }



    .section6 .footer .sosmed{
        
        text-align: end;
    }
    .section6 .footer .bawah{
        text-align: start;
    }
   }
  
  /* medium end */
  
  
  /* large */
  
  @media (min-width: 992px) { 

    /* section2 */
    .section2 .text2{
        text-align: start;
     
    }

    .section2 {
        padding-left: 2em;
        padding-right: 10em;
        padding-top: 10em;
    }


    /* end */

    /* section3 */

    .text3{
        text-align: start;
    }


    /* end */
  
    .section4 h3{
        text-align: start;
        margin-bottom: 1em;
    
    }
   
    .section5 .text5{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
       text-align: center;
    }

    .section5 .card{
        margin-top: .4em;
    }

  
   }
  
  /* large end */
  
  /* extra large */
  @media (min-width: 1200px) { 

   }
  

  
  /* extra large end */
